Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Class SaslRpcServer.SaslGssCallbackHandler

    java.lang.Object
      org.apache.hadoop.security.SaslRpcServer.SaslGssCallbackHandler

All Implemented Interfaces:
  CallbackHandler

Enclosing class:
  SaslRpcServer

    public static class SaslRpcServer.SaslGssCallbackHandler

extends Object
implements CallbackHandler

CallbackHandler for SASL GSSAPI Kerberos mechanism

Constructor Summary
`SaslRpcServer.SaslGssCallbackHandler()`

Method Summary
`void` | `handle(Callback[] callbacks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaslRpcServer.SaslGssCallbackHandler

    public SaslRpcServer.SaslGssCallbackHandler()

Method Detail

### handle

    public void handle(Callback[] callbacks)
                throws UnsupportedCallbackException

  Specified by:
    `handle` in interface `CallbackHandler`
  Throws:
    `UnsupportedCallbackException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation